package com.blueland.bpm.engine.core.model;

import org.activiti.engine.history.HistoricTaskInstance;
import org.activiti.engine.task.Comment;

import com.fasterxml.jackson.annotation.JsonIgnore;
/**
 * 流程详细日志模型
 * 
 * @version: 1.0
 * @author lw
 */
public class ProcessLogModel {
	private String multiCommentMsg;
	private Comment comment;
	private HistoricTaskInstance historicTaskInstance;
	private String sendUserId;
	private String reiceiveUserId;
	private String sendUserName;
	private String reiceiveUserName;
	private String sendOrgId;
	private String receiveOrgId;
	private String sendOrgName;
	private String sendCompanyName;
	private String sendCompanyId;
	private String receiveOrgName;
	private String ownerName;
	private String finishState;
	
	//用于组装给前端页面显示公司名称、部门、组织
	private String sendInfo;
	private String assigneeInfo;
	
	
	public String getSendCompanyId() {
		return sendCompanyId;
	}
	public void setSendCompanyId(String sendCompanyId) {
		this.sendCompanyId = sendCompanyId;
	}
	public Comment getComment() {
		return comment;
	}
	public void setComment(Comment comment) {
		this.comment = comment;
	}
	public HistoricTaskInstance getHistoricTaskInstance() {
		return historicTaskInstance;
	}
	public void setHistoricTaskInstance(HistoricTaskInstance historicTaskInstance) {
		this.historicTaskInstance = historicTaskInstance;
	}
	public String getSendUserName() {
		return sendUserName;
	}
	public void setSendUserName(String sendUserName) {
		this.sendUserName = sendUserName;
	}
	public String getReiceiveUserName() {
		return reiceiveUserName;
	}
	public void setReiceiveUserName(String reiceiveUserName) {
		this.reiceiveUserName = reiceiveUserName;
	}
	public String getSendUserId() {
		return sendUserId;
	}
	public void setSendUserId(String sendUserId) {
		this.sendUserId = sendUserId;
	}
	public String getReiceiveUserId() {
		return reiceiveUserId;
	}
	public void setReiceiveUserId(String reiceiveUserId) {
		this.reiceiveUserId = reiceiveUserId;
	}
	public String getSendOrgId() {
		return sendOrgId;
	}
	public void setSendOrgId(String sendOrgId) {
		this.sendOrgId = sendOrgId;
	}
	public String getReceiveOrgId() {
		return receiveOrgId;
	}
	public void setReceiveOrgId(String receiveOrgId) {
		this.receiveOrgId = receiveOrgId;
	}
	public String getSendOrgName() {
		return sendOrgName;
	}
	public void setSendOrgName(String sendOrgName) {
		this.sendOrgName = sendOrgName;
	}
	public String getReceiveOrgName() {
		return receiveOrgName;
	}
	public void setReceiveOrgName(String receiveOrgName) {
		this.receiveOrgName = receiveOrgName;
	}
	public String getFinishState() {
		return finishState;
	}
	public void setFinishState(String finishState) {
		this.finishState = finishState;
	}
	@JsonIgnore
	public String getOwnerName() {
		return ownerName;
	}
	public void setOwnerName(String ownerName) {
		this.ownerName = ownerName;
	}

	@JsonIgnore
	public String getMultiCommentMsg() {
		return multiCommentMsg;
	}
	public void setMultiCommentMsg(String multiCommentMsg) {
		this.multiCommentMsg = multiCommentMsg;
	}
	public String getSendCompanyName() {
		return sendCompanyName;
	}
	public void setSendCompanyName(String sendCompanyName) {
		this.sendCompanyName = sendCompanyName;
	}
	public String getSendInfo() {
		return sendInfo;
	}
	public void setSendInfo(String sendInfo) {
		this.sendInfo = sendInfo;
	}
	public String getAssigneeInfo() {
		return assigneeInfo;
	}
	public void setAssigneeInfo(String assigneeInfo) {
		this.assigneeInfo = assigneeInfo;
	}
	
	
	
}
